--[[
	This is a XenoBot example script, intended to
	teach new users about the scripting API and 
	act as script that is usable in actual play.
	
	distanceWeaponSwitcher.lua - equips a melee weapon
	when you run out of a distance weapon, and equips the
	distance weapon again when you have more than five.
	Useful for hunting trolls and goblins on paladins.
	
	** DO NOT EDIT THIS FILE. INSTEAD, COPY IT TO
	"Documents\XenoBot\Scripts" AND EDIT THE COPY. **
]]--

--set the name of the melee weapon
local weaponName = "serpent sword"
--set the name of the distance weapon
local distanceName = "spear"

--set the amount of distance weapons needed before reequip will occur
-- this MUST be more than can be in a corpse, or your weapon might get
-- swapped into the corpse
local distanceRequipCount = 5

-------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------

--this continuously loops, executing the code inside over and over again
while (true) do
	--this checks to see if we have enough distance weapons to equip them again
	if (Self.ItemCount(distanceName) > distanceRequipCount and Self.Weapon().count < 100) then
		--equip the distance
		Self.Equip(distanceName, "weapon", Self.ItemCount(distanceName))
	--this, if the previous check failed, checks to see if we are missing a weapon
	elseif (Self.Weapon().id == 0) then
		--equip the weapon
		Self.Equip(weaponName, "weapon")
	end
	
	--this causes the loop to wait between 2 and 3 seconds before retrying
    wait(2000, 3000)
end