--[[
	This is a XenoBot example script, intended to
	teach new users about the scripting API and 
	act as script that is usable in actual play.
	
	supplyAlert.lua - playing alarm when low supplies

	** DO NOT EDIT THIS FILE. INSTEAD, COPY IT TO
	"Documents\XenoBot\Scripts" AND EDIT THE COPY. **
]]--


--this is a table of supply names and the amount to alert at
local supplies = 
{
	{name = "strong mana potion", count = 80},
	{name = "great spirit potion", count = 35},
	{name = "power bolt", count = 200}
}

-------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------

--this continuously loops, executing the code inside over and over again
while (true) do
	
	--this loops over every element in the supplies table
	for _, supply in ipairs(supplies) do
		--this checks if we have too few of the supply, and sounds an alarm if so
		if (Self.ItemCount(supply.name) <= supply.count) then
			alert()
			break --break exits the inner-most loop
		end
	end
	
	--this causes the loop to wait 1 second before checking again
	wait(1000)
end